{$align = $instance->getProperty(textPosHorizontal)}
{$justify = $instance->getProperty(textPosVertical)}
{if $instance->getProperty('padding') == 'p-0'}
    {$padding = '0'}
{elseif $instance->getProperty('padding') == 'p-1'}
    {$padding = '0.25rem'}
{elseif $instance->getProperty('padding') == 'p-2'}
    {$padding = '0.5rem'}
{elseif $instance->getProperty('padding') == 'p-3'}
    {$padding = '1rem'}
{elseif $instance->getProperty('padding') == 'p-4'}
    {$padding = '1.5rem'}
{elseif $instance->getProperty('padding') == 'p-5'}
    {$padding = '2rem'}
{elseif $instance->getProperty('padding') == 'p-6'}
    {$padding = '3rem'}
{elseif $instance->getProperty('padding') == 'p-7'}
    {$padding = '4rem'}
{elseif $instance->getProperty('padding') == 'p-8'}
    {$padding = '5rem'}
{/if}

{if $padding == 0}
    {$height = {$instance->getProperty('sliderheight')}}
{else}
    {$height = 'calc('|cat:$instance->getProperty('sliderheight')|cat:' + ( 2 * '|cat:$padding|cat:'))'}
{/if}

{if $instance->getProperty(direction) == 'rtl'}
    {if $align == 'start'} {$align = 'end'}
    {elseif $align == 'end'} {$align = 'start'} {/if}
{/if}
{if $isPreview}
    <div id="" class="{$instance->getStyleClasses()}" aria-label="DZM Image Slider" style="overflow: hidden;height:{$instance->getProperty('sliderheight')}; {$instance->getStyleString()}">
        {* Ersatzbild einbauen *}
        {$slides = $instance->getProperty('slides')}
        {if $instance->getProperty('slides')|count > 0}

            <div class="splide__track" style="height: 100%;">
                <div class="splide__list" style="display: block">

                    {if !empty($slides[0].title) || !empty($slides[0].desc)}
                        {$slideTitle = '#'|cat:$uid|cat:'_slide_caption_'|cat:$i}
                    {else}
                        {$slideTitle = ''}
                    {/if}

                    {if !empty($slides[0].url)}
                        {$imgAttribs = $instance->getImageAttributes($slides[0].url, $slides[0].alt, $slides[0].title)}
                        <div class="splide__slide is-active" style="height: 100%;">
                            {if !empty($slide.link)}
                            <a href="{$slide.link}"
                               {if !empty($slide.title)}title="{$slide.title|escape:'html'}"{/if}
                               class="dzm-opcis-link">
                                <div class="dzm-opcis-content-wrapper">
                                    {else}
                                    <div class="dzm-opcis-content-wrapper">
                                        {/if}
                                        {image
                                        srcset=$imgAttribs.srcset
                                        sizes=$imgAttribs.srcsizes
                                        src=$imgAttribs.src
                                        alt=$imgAttribs.alt|escape:'html'
                                        title=$slideTitle|escape:'html'
                                        data=['desc' => $slide.desc|escape:'html']
                                        class='dzm-opcis-img'}
                                        <div class="dzm-opcis-content-container d-flex flex-column justify-content-{$justify} align-items-{$align}">
                                            {if $slides[0].title!="" || $slides[0].desc != ""}
                                                <div class="{$instance->getProperty('paddingTextbox')} {$instance->getProperty('marginTextbox')} d-flex flex-column justify-content-{$justify} align-items-{$align} dzm-is-slide-text" style="background-color: {$instance->getProperty('textBackgroundColor')};">
                                                    <p class="h1 bold dzm-is-slide-text">{$slides[0].title}</p>
                                                    <p class="h2 bold dzm-is-slide-text" >{$slides[0].desc}</p>
                                                </div>
                                            {/if}
                                        </div>

                                        {if empty($slide.link)}
                                    </div>
                                    {else}
                                </div>
                            </a>
                            {/if}
                        </div>
                    {/if}


                </div>
            </div>
        {/if}


    </div>

{else}
    {if $instance->getProperty('blockId') != ''}
        {$uid="{$instance->getProperty('blockId')}" }
    {else}
        {$uid = $instance->getUid()}
    {/if}
    <div id="{$uid}" class="splide {$instance->getProperty('padding')} {$instance->getStyleClasses()}" aria-label="DZM Image Slider" style="height:{$height}; {$instance->getStyleString()}">
        {if $instance->getProperty('slides')|count > 0}
            <div class="splide__track dzm-opcis-track {if {$instance->getProperty('direction')} == 'ttb'} d-flex justify-content-center{/if}">
                <div class="splide__list {if {$instance->getProperty('direction')} != 'ttb'} d-flex align-items-center {/if}">

                    {foreach $instance->getProperty('slides') as $i => $slide}
                        {if !empty($slide.title) || !empty($slide.desc)}
                            {$slideTitle = '#'|cat:$uid|cat:'_slide_caption_'|cat:$i}
                        {else}
                            {$slideTitle = ''}
                        {/if}

                        {if !empty($slide.url)}
                            {$imgAttribs = $instance->getImageAttributes($slide.url, $slide.alt, $slide.title)}
                            <div class="splide__slide">
                                {if !empty($slide.link)}
                                <a href="{$slide.link}"
                                   {if !empty($slide.title)}title="{$slide.title|escape:'html'}"{/if}
                                   class="dzm-opcis-link">
                                    <div class="dzm-opcis-content-wrapper">
                                        {else}
                                        <div class="dzm-opcis-content-wrapper">
                                            {/if}
                                            {image
                                            srcset=$imgAttribs.srcset
                                            sizes=$imgAttribs.srcsizes
                                            src=$imgAttribs.src
                                            alt=$imgAttribs.alt|escape:'html'
                                            title=$slideTitle|escape:'html'
                                            data=['desc' => $slide.desc|escape:'html']
                                            class='dzm-opcis-img'}
                                            <div class="dzm-opcis-content-container d-flex flex-column justify-content-{$justify} align-items-{$align}" style="background-color: {$instance->getProperty('overlayColor')}">
                                                {if $slide.title!="" || $slide.desc != ""}
                                                    <div class="{$instance->getProperty('paddingTextbox')} {$instance->getProperty('marginTextbox')} d-flex flex-column justify-content-{$justify} align-items-{$align} dzm-is-slide-text" style="background-color: {$instance->getProperty('textBackgroundColor')};">
                                                        <p class="h1 bold dzm-is-slide-text">{$slide.title}</p>
                                                        <p class="h2 bold dzm-is-slide-text" >{$slide.desc}</p>
                                                    </div>
                                                {/if}
                                            </div>

                                            {if empty($slide.link)}
                                        </div>
                                        {else}
                                    </div>
                                </a>
                                {/if}
                            </div>
                        {/if}
                    {/foreach}


                </div>
            </div>
        {/if}

    </div>
    <script>
        document.addEventListener( 'DOMContentLoaded', function() {
            let splide = new Splide( '#{$uid}', {
                type   : '{$instance->getProperty('type')}',
                width   : '{$instance->getProperty('width')}',
                height   : '{$instance->getProperty('sliderheight')}',
                {if $instance->getProperty('useClones')}clones:'{$instance->getProperty('clones')}',{/if}
                arrows: {if $instance->getProperty('arrows')}true{else}false{/if},
                {if $instance->getProperty('arrowPath') != null}arrowPath:'{$instance->getProperty('arrowPath')}',{/if}
                pagination: {if $instance->getProperty('pagination')}true{else}false{/if},
                paginationDirection: '{$instance->getProperty('direction')}',
                direction: '{$instance->getProperty('direction')}',
                speed: '{$instance->getProperty('speed')}',
                drag: {if $instance->getProperty('drag')}true{else}false{/if},
                rewind: {if $instance->getProperty('rewind')}true{else}false{/if},
                rewindSpeed: '{$instance->getProperty('rewindSpeed')}',
                rewindByDrag: {if $instance->getProperty('rewindByDrag')}true{else}false{/if},
                autoplay: {if $instance->getProperty('autoplay')}true{else}false{/if},
                interval: '{$instance->getProperty('interval')}',
                pauseOnHover: {if $instance->getProperty('pauseOnHover')}true{else}false{/if},
                pauseOnFocus: {if $instance->getProperty('pauseOnFocus')}true{else}false{/if},

                perPage: '{$instance->getProperty('xl')}',
                breakpoints:{
                    576:{
                        perPage:'{$instance->getProperty('xs')}'
                    },
                    768:{
                        perPage:'{$instance->getProperty('s')}'
                    },
                    992:{
                        perPage:'{$instance->getProperty('m')}'
                    },
                    1300:{
                        perPage:'{$instance->getProperty('l')}'
                    }
                },
                perMove: '{$instance->getProperty('perMove')}',
                gap: '{$instance->getProperty('gap')}',
                {if $instance->getProperty('fixedWidth') != ''}
                fixedWidth: '{$instance->getProperty('fixedWidth')}',
                {/if}
                {if $instance->getProperty('fixedHeight') != ''}
                fixedHeight: '{$instance->getProperty('fixedHeight')}',
                {/if}
                autoWidth: {if $instance->getProperty('autoWidth')}true{else}false{/if},
                autoHeight: {if $instance->getProperty('autoHeight')}true{else}false{/if},
                {if $instance->getProperty('heightRatio') != ''}
                heightRatio: '{$instance->getProperty('heightRatio')}',
                {/if}
                focus:'center',
                cloneStatus: false,


            } );
            splide.mount();
        } );
    </script>
{/if}





