/*
let play = document.querySelector('.dzm-videoTitle-play>svg');
let playtext = document.querySelector('.dzm-videoTitle-playText');
// let playbtn = document.getElementById('dzm-play-video-btn');
// let pausebtn = document.getElementById('dzm-pause-video-btn');
// let maxbtn = document.getElementById('dzm-max-video-btn');
if(play){
    play.addEventListener('click', playVideo);
    playtext.addEventListener('click', playVideo);
    // playbtn.addEventListener('click', dzplay);
    // pausebtn.addEventListener('click', pause);
    // maxbtn.addEventListener('click', max);
}

function playVideo(){
    let backgroundVideo = document.querySelector('#dzm-videoTitle-backgroundvideo');
    let mainVideo = document.querySelector('#dzm-videoTitle-mainvideo');
    let container = document.querySelector('.dzm-videoTitle-mainvideo-container');
    let text = document.querySelector('.dzm-videoTitle-text');
    let button = document.querySelector('.dzm-videoTitle-play');

    container.style.bottom = 0;
    text.style.transform = "translateX(-200px)";
    text.style.opacity = 0;
    button.style.transform = "translateX(200px)";
    button.style.opacity = 0;
    backgroundVideo.pause();
    mainVideo.style.zIndex = "1";
    mainVideo.muted = false;
    mainVideo.preload = "auto";
    mainVideo.load();
    setTimeout(() => {
        mainVideo.play();

    }, 2000);
    mainVideo.onended = function(){
        mainVideo.style.zIndex = "0";
        mainVideo.muted = true;

        container.style.bottom = "100%";
        backgroundVideo.play();
        text.style.transform = "translateX(0)";
        text.style.opacity = 1;
        button.style.transform = "translateX(0)";
        button.style.opacity = 1;
    }


}
function dzplay(){
    let mainVideo = document.querySelector('#dzm-videoTitle-mainvideo');
    mainVideo.play();
}

function pause(){

    let mainVideo = document.querySelector('#dzm-videoTitle-mainvideo');
    mainVideo.pause();
}

function max(){

    let mainVideo = document.querySelector('#dzm-videoTitle-mainvideo');
    mainVideo.requestFullscreen();
}

*/


class DZMVideoHeroPlayer{
    constructor(){
        this.videoHeroPlayers = [];

        this.selectors = {
            play: ".dzm-videoTitle-play>svg",
            playtext: ".dzm-videoTitle-playText",
            videoHeroPlayer: "#dzm-videoTitle-video-container",
            backgroundVideo: "#dzm-videoTitle-backgroundvideo",
            mainVideo: "#dzm-videoTitle-mainvideo",
            container: ".dzm-videoTitle-mainvideo-container",
            text: ".dzm-videoTitle-text",
            button: ".dzm-videoTitle-play",
            closeButton: ".dzm-video-close",
        }
        this.timer;
        this.fadeInBuffer = false;
    }

    init(){
        console.log("Hello From DZMVideoHeroPlayer")
        this.videoHeroPlayers = document.querySelectorAll(this.selectors.videoHeroPlayer);

        this.videoHeroPlayers.forEach(videoHeroPlayer=>{
            let play = videoHeroPlayer.querySelector(this.selectors.play)
            let playtext = videoHeroPlayer.querySelector(this.selectors.playtext)
            let backgroundVideo = videoHeroPlayer.querySelector(this.selectors.backgroundVideo)
            let mainVideo = videoHeroPlayer.querySelector(this.selectors.mainVideo)
            let container = videoHeroPlayer.querySelector(this.selectors.container)
            let text = videoHeroPlayer.querySelector(this.selectors.text)
            let button = videoHeroPlayer.querySelector(this.selectors.button)
            let closeButton = videoHeroPlayer.querySelector(this.selectors.closeButton)


            play.addEventListener("click",(e) => {
                this.playVideo(e, backgroundVideo, mainVideo, container, text, button)
            })
            playtext.addEventListener("click",(e) => {
                this.playVideo(e, backgroundVideo, mainVideo, container, text, button)
            })
            closeButton.addEventListener("click", (e) => {
                this.closeVideo(e, backgroundVideo, mainVideo, container, text, button)
            })


            if (/Mobi/.test(navigator.userAgent)) {
                // The device is a mobile device
                videoHeroPlayer.addEventListener("touchstart", (e) => {
                    closeButton.style.display = '';
                    setTimeout(function() {
                        closeButton.style.display = 'none';
                    }, 3000);
                })
            } else {
                // The device is a desktop device
                videoHeroPlayer.addEventListener('mousemove', (e) => {
                    this.fadeOut(e, closeButton)
                })
            }



        })
    }

    playVideo(e, backgroundVideo, mainVideo, container, text, button){
        e.preventDefault()

        container.style.bottom = 0;
        text.style.transform = "translateX(-200px)";
        text.style.opacity = 0;
        button.style.transform = "translateX(200px)";
        button.style.opacity = 0;
        backgroundVideo.pause();
        mainVideo.style.zIndex = "1";
        mainVideo.muted = false;
        mainVideo.preload = "auto";
        mainVideo.load();
        setTimeout(() => {
            mainVideo.play();

        }, 2000);
        mainVideo.onended = () => {
            this.closeVideo(e, backgroundVideo, mainVideo, container, text, button)
        }

    }

    closeVideo(e, backgroundVideo, mainVideo, container, text, button){
        mainVideo.style.zIndex = "0";
        mainVideo.muted = true;

        container.style.bottom = "100%";
        backgroundVideo.play();
        text.style.transform = "translateX(0)";
        text.style.opacity = 1;
        button.style.transform = "translateX(0)";
        button.style.opacity = 1;
    }

    fadeOut(e, closeButton){
        if (!this.fadeInBuffer) {
            if (this.timer) {
                clearTimeout(this.timer);
                this.timer = 0;
            }
            closeButton.style.display = '';
        } else {
            this.fadeInBuffer = false;
        }

        this.timer = setTimeout(function() {
            closeButton.style.display = 'none';
            this.fadeInBuffer = true;
        }, 3000);
    }
}

let videoHeroPlayers = new DZMVideoHeroPlayer();
videoHeroPlayers.init()
