class DZMContainerPlus{
    constructor(uid) {
        this.container = "";
        this.uid = uid;
        this.cookieId = ""
        this.closeButton = ""
        this.remember = false
        this.rememberDays = 0
        this.allowClose = false
        this.showOnExit = false
        this.showAfterSeconds = 0
        this.selectors={
            containerSelector:'[data-dzm-cp-container="'+uid+'"]',
            closeButtonSelector:'[data-dzm-cp-closebutton="'+uid+'"]'

        }
    }

    /*
    
     */
    init(options){
        this.container = document.querySelector(this.selectors.containerSelector)
        if(this.container == null){
            console.warn('no container plus found')
            return
        }
        if(options){

            if(typeof options.allowClose !== 'undefined'){
                this.allowClose = options.allowClose
                if(this.allowClose){
                    this.closeButton = this.container.querySelector(this.selectors.closeButtonSelector)
                    this.closeButton.addEventListener("click",(e) => {
                        this.hide(e,this)
                    })
                }

            }
            if(typeof options.remember !== 'undefined'){
                this.remember = options.remember
            }
            if(typeof options.rememberDays !== 'undefined'){
                this.rememberDays = options.rememberDays
            }
            if(typeof options.showAfterSeconds !== 'undefined'){
                this.showAfterSeconds = options.showAfterSeconds
            }
            if(typeof options.showOnExit !== 'undefined'){
                this.showOnExit = options.showOnExit
            }
        }

        if(this.getCookie(this.uid) === ""){
            console.log('no cookie for ',this.uid)

            if(this.showAfterSeconds > 0){
                setTimeout(()=>{
                    this.container.classList.remove('d-none')

                },this.showAfterSeconds * 1000)
                return
            }

            if(this.showOnExit){
                document.addEventListener('mouseout',e=>{
                    if (!e.toElement && !e.relatedTarget)
                    {
                        this.container.classList.remove('d-none')
                    }
                })
            }else{
                this.container.classList.remove('d-none')

            }
        }else{
            console.log(' cookie for ',this.uid)
        }
    }

    hide(e, instance){
        instance.container.classList.add('d-none')
        if(instance.remember){
            instance.setCookie(instance.uid,1,instance.rememberDays)
        }
    }

    getCookie(cname) {
        console.log('getCookie for',cname)
        let name = cname + "=";
        let decodedCookie = decodeURIComponent(document.cookie);
        console.log(decodedCookie)
        let ca = decodedCookie.split(';');
        for(let i = 0; i <ca.length; i++) {
            console.log('ca',ca)
            let c = ca[i];
            while (c.charAt(0) == ' ') {
                c = c.substring(1);
            }
            console.log('c',c)

            if (c.indexOf(name) === 0) {
                console.log('foundCookie')
                return c.substring(name.length, c.length);
            }else{
                console.log('foundNoCookie',name)
            }
        }
        return "";
    }
    setCookie(cname, cvalue, exdays) {
        const d = new Date();
        let expires = ''
        if(exdays > 0){
            d.setTime(d.getTime() + (exdays*24*60*60*1000));
             expires = "expires="+ d.toUTCString() + ';';
        }


        document.cookie = cname + "=" + cvalue + ";" + expires + "path=/";
    }


}